## tla 1.3.5%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH      := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CROSS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
  CROSS = --build $(DEB_BUILD_GNU_TYPE)
endif

CFLAGS              := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS            := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS             := $(shell dpkg-buildflags --get LDFLAGS)
CFLAGS	            += -Wall

autoconfdirs = src/libneon src/build-tools/gnu

configure-stamp:
	dh_testdir

	for d in $(autoconfdirs) ; do \
		rm -f $$d/config.guess $$d/config.sub ; \
		cp /usr/share/misc/config.guess /usr/share/misc/config.sub $$d/ ; \
	done
	rm -rf debian/build
	rm -rf src/expat/  # Let's play safe
	rm -f src/libneon/PLUGIN/REQ
	mkdir debian/build
	cd debian/build && \
	 CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' \
	 AUTOCONF_CROSS='$(CROSS)' AUTOCONF_CFLAGS='$(CFLAGS)' \
	 AUTOCONF_CPPFLAGS='$(CPPFLAGS)' AUTOCONF_LDFLAGS='$(LDFLAGS)' \
	  ../../src/configure --prefix=/usr --with cc gcc
	touch configure-stamp

build-indep:
build-arch: build-stamp
build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE) -j1 -C debian/build CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)'

	# Temporary skipping arm where the testsuite is know to be broken
	# There is a bug somewhere that this causes recompilation of almost everything.
	# Someone might take a look to find it...
	if [ "$(DEB_BUILD_ARCH)" != "arm" ]; \
	then \
		$(MAKE) -j1 CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' -C debian/build test || exit 1; \
	fi

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Disable builtin expat
	rm -rf src/expat/  # Let's play safe
	rm -f src/libneon/PLUGIN/REQ
	# Cleaning package
	rm -rf debian/build

	for d in $(autoconfdirs) ; do \
		rm -f $$d/config.guess $$d/config.sub ; \
	done
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Installing package
	$(MAKE) -j1 -C debian/build install destdir=$(CURDIR)/debian/tla \
		CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)'
	install -m 0755 src/tla/=gpg-check.awk debian/tla/usr/bin/tla-gpg-check

	# Installing documentation
	install -d -m 0755 debian/tla-doc/usr/share/doc/tla-doc
	cp -a src/docs-tla debian/tla-doc/usr/share/doc/tla-doc/html
	install -d -m 0755 debian/tla-doc/usr/share/doc/tla
	ln -s ../tla-doc/html debian/tla-doc/usr/share/doc/tla/html

	# Removing double files
	rm -f debian/tla-doc/usr/share/doc/tla-doc/html/ChangeLog
	rm -rf debian/tla-doc/usr/share/doc/tla-doc/html/PLUGIN
	find debian/tla-doc/usr/share/doc/tla-doc/html -name "=*" -exec rm -f {} \;

	# Installing lintian overrides
	for LINTIAN in debian/lintian/*; \
	do \
		install -D -m 644 $$LINTIAN debian/`basename $$LINTIAN`/usr/share/lintian/overrides/`basename $$LINTIAN` || exit 1; \
	done

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -ptla-doc src/docs-tla/ChangeLog
	dh_installdocs -i
	dh_install -i
	dh_link -i
	dh_strip -i
	dh_compress -i -Xusr/share/doc/tla-doc/html
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -ptla src/tla/ChangeLog
	dh_installdocs -a
	dh_install -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build-arch build-indep build clean binary-indep binary-arch binary install

=== debian/watch ===
# watch control file for uscan

version=3
opts=dversionmangle=s/\+dfsg-\d+$// \
  http://ftp.gnu.org/gnu/gnu-arch/tla-(.*)\.tar\.gz

## tla 1.3.5%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -17,15 +17,9 @@
 LDFLAGS             := $(shell dpkg-buildflags --get LDFLAGS)
 CFLAGS	            += -Wall
 
-autoconfdirs = src/libneon src/build-tools/gnu
-
 configure-stamp:
 	dh_testdir
-
-	for d in $(autoconfdirs) ; do \
-		rm -f $$d/config.guess $$d/config.sub ; \
-		cp /usr/share/misc/config.guess /usr/share/misc/config.sub $$d/ ; \
-	done
+	dh_autotools-dev_updateconfig
 	rm -rf debian/build
 	rm -rf src/expat/  # Let's play safe
 	rm -f src/libneon/PLUGIN/REQ
@@ -58,18 +52,10 @@
 clean:
 	dh_testdir
 	dh_testroot
+	dh_autotools-dev_restoreconfig
 	rm -f build-stamp configure-stamp
-
-	# Disable builtin expat
-	rm -rf src/expat/  # Let's play safe
-	rm -f src/libneon/PLUGIN/REQ
-	# Cleaning package
-	rm -rf debian/build
-
-	for d in $(autoconfdirs) ; do \
-		rm -f $$d/config.guess $$d/config.sub ; \
-	done
 	dh_clean
+	$(RM) -r debian/build
 
 install: build-stamp
 	dh_testdir
@@ -133,3 +119,21 @@
 
 binary: binary-indep binary-arch
 .PHONY: build-arch build-indep build clean binary-indep binary-arch binary install
+
+# Provide a repackaging target
+UPSTREAM_VERSION=1.3.5
+DFSG=dfsg1
+get-orig-source:
+	# Download upstream tarball
+	wget http://www.atai.org/gnuarch/releases/tla-$(UPSTREAM_VERSION).tar.gz
+	tar xaf tla-$(UPSTREAM_VERSION).tar.gz
+	# Remove non-free bits from source
+	rm -rf tla-$(UPSTREAM_VERSION)/src/docs-hackerlab
+	rm tla-$(UPSTREAM_VERSION)/src/hackerlab/libhackerlab/libhackerlab.doc
+	rm tla-$(UPSTREAM_VERSION)/src/build-tools/standards/standards.doc
+	# Repackage tarball
+	mv tla-$(UPSTREAM_VERSION) tla-$(UPSTREAM_VERSION)+$(DFSG)
+	tar caf tla-$(UPSTREAM_VERSION)+$(DFSG).orig.tar.xz tla-$(UPSTREAM_VERSION)+$(DFSG)
+	# Clean up temporary files
+	rm -rf tla-$(UPSTREAM_VERSION) tla-$(UPSTREAM_VERSION)+$(DFSG) tla-$(UPSTREAM_VERSION).tar.gz
+.PHONY: get-orig-source

## tla 1.3.5+dfsg1

=== Makefile ===
ROOT = /cygdrive/c
HOME= $(ROOT)/ller
TLA = $(HOME)/prj/tla-1.2

SRC = $(TLA)/src
BUILD = $(TLA)/build

INC = -I $(SRC) -I $(BUILD)
LIB = -L $(BUILD)/hackerlab/libhackerlab

CFLAGS = $(CCFLAGS) -Wall -g $(INC)
LDFLAGS = -g $(LIB)
LDLIBS = -lhackerlab

all: ctest.exe cls.exe crm.exe cfind.exe cmkdir.exe

ctest.exe: test.c pathcompress.o
	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@

cls.exe: cls.o vu-pathcompress.o
	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@

crm.exe: cls.exe
	@cp $^ $@

cfind.exe: cls.exe
	@cp $^ $@

cmkdir.exe: cmkdir.o vu-pathcompress.o
	$(CC) -DPUSH=1 $(LDFLAGS) $^ $(LDLIBS) -o $@

cls.o: ls.c
	$(CC) $(CFLAGS) -DPUSH=\"pathcompress\" -c $< -o $@

cmkdir.o: mkdir.c
	$(CC) $(CFLAGS) -DPUSH=\"pathcompress\" -c $< -o $@

pathcompress.o: pathcompress.c

vu-pathcompress.o: vu-pathcompress.c pathcompress.c

clean:
	rm -f *.o *.exe *~ *.stackdump

# DO NOT DELETE

cmain.o: /usr/include/stdio.h /usr/include/_ansi.h /usr/include/newlib.h
cmain.o: /usr/include/sys/config.h /usr/include/machine/ieeefp.h
cmain.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
cmain.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
cmain.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
cmain.o: /usr/include/sys/types.h /usr/include/machine/types.h
cmain.o: /usr/include/sys/stdio.h /usr/include/string.h vu-pathcompress.h
lmain.o: /usr/include/stdio.h /usr/include/_ansi.h /usr/include/newlib.h
lmain.o: /usr/include/sys/config.h /usr/include/machine/ieeefp.h
lmain.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
lmain.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
lmain.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
lmain.o: /usr/include/sys/types.h /usr/include/machine/types.h
lmain.o: /usr/include/sys/stdio.h /usr/include/string.h
ls.o: /usr/include/assert.h /usr/include/_ansi.h /usr/include/newlib.h
ls.o: /usr/include/sys/config.h /usr/include/machine/ieeefp.h
ls.o: vu-pathcompress.h /usr/include/stdio.h
ls.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
ls.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
ls.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
ls.o: /usr/include/sys/types.h /usr/include/machine/types.h
ls.o: /usr/include/sys/stdio.h /usr/include/string.h
mkdir.o: /usr/include/assert.h /usr/include/_ansi.h /usr/include/newlib.h
mkdir.o: /usr/include/sys/config.h /usr/include/machine/ieeefp.h
mkdir.o: vu-pathcompress.h /usr/include/stdio.h
mkdir.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
mkdir.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
mkdir.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
mkdir.o: /usr/include/sys/types.h /usr/include/machine/types.h
mkdir.o: /usr/include/sys/stdio.h /usr/include/string.h
pathcompress.o: /usr/include/stdio.h /usr/include/_ansi.h
pathcompress.o: /usr/include/newlib.h /usr/include/sys/config.h
pathcompress.o: /usr/include/machine/ieeefp.h
pathcompress.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
pathcompress.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
pathcompress.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
pathcompress.o: /usr/include/sys/types.h /usr/include/machine/types.h
pathcompress.o: /usr/include/sys/stdio.h /usr/include/unistd.h
pathcompress.o: /usr/include/sys/unistd.h /usr/include/sys/features.h
pathcompress.o: /usr/include/string.h /usr/include/errno.h
pathcompress.o: /usr/include/sys/errno.h pathcompress.h
ptest.o: /usr/include/stdio.h /usr/include/_ansi.h /usr/include/newlib.h
ptest.o: /usr/include/sys/config.h /usr/include/machine/ieeefp.h
ptest.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
ptest.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
ptest.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
ptest.o: /usr/include/sys/types.h /usr/include/machine/types.h
ptest.o: /usr/include/sys/stdio.h /usr/include/errno.h
ptest.o: /usr/include/sys/errno.h pathcompress.h
vu-pathcompress.o: /usr/include/stdio.h /usr/include/_ansi.h
vu-pathcompress.o: /usr/include/newlib.h /usr/include/sys/config.h
vu-pathcompress.o: /usr/include/machine/ieeefp.h
vu-pathcompress.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
vu-pathcompress.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
vu-pathcompress.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
vu-pathcompress.o: /usr/include/sys/types.h /usr/include/machine/types.h
vu-pathcompress.o: /usr/include/sys/stdio.h /usr/include/string.h
vu-pathcompress.o: /usr/include/errno.h /usr/include/sys/errno.h
vu-pathcompress.o: pathcompress.c /usr/include/unistd.h
vu-pathcompress.o: /usr/include/sys/unistd.h /usr/include/sys/features.h
vu-pathcompress.o: pathcompress.h

## tla 1.3.5+dfsg

=== debian/changelog ===
tla (1.3.5+dfsg-18) unstable; urgency=low

  * QA upload
  * change to "3.0 (quilt)" format
  * add copyright holders and license for embedded copy of
    libneon (0.24.7) to debian/copyright
  * support build-arch and build-indep
  * debhelper compatibility up to 7
  * use dpkg-buildflags

 -- Bernhard R. Link <brl@pcpool10.mathematik.uni-freiburg.de>  Mon, 14 Nov 2011 15:48:43 +0100

tla (1.3.5+dfsg-17) unstable; urgency=low

  * QA upload.
  * Although `tla add' is valid, updated the help to indicate that
    `tla add-id' is the preferred command (Closes: #317128)
  * Fix malformed comment in tla-doc/handbook/index.html
    (Closes: #321887)
  * Add missing #include to tmp-files.c, closes Ubuntu bug #832877

 -- Tim Gokcen <hexetic@gmail.com>  Thu, 08 Sep 2011 15:10:09 -0400

tla (1.3.5+dfsg-16) unstable; urgency=low

  * QA upload.
  * tar --preserve is deprecated; use --preserve-permissions and
    --preserve-order instead (closes: #605048).
  * Changed section to vcs, since that's what it is
  * Fix lintian warnings/errors, including:
    - Added debian/README.source (from dpatch default)
    - Moved #include patches into dpatch system
    - Added dversionmangle to debian/watch
    - Added ${misc:Depends} to debian/control
    - Updated debhelper version to 5 (no changes needed)
    - Removed 3x .SP macros from tla manpage
    - Fixed spelling errors in code C-strings
    - Fixed tla-gpg-check hyphenization errors
    - tla-doc is in doc-base section Programming
    - Made package version 1.0 explicit. Hopefully someone (maybe me)
      will convert to pkg version 3.0 later
    - Removed -rpath from libneon build

 -- Tim Gokcen <hexetic@gmail.com>  Fri, 26 Nov 2010 16:20:03 -0500

tla (1.3.5+dfsg-15) unstable; urgency=low

  * QA upload.
  * Use system libexpat instead of bundled one (closes: #560940).

 -- Sylvain Beucler <beuc@beuc.net>  Mon, 14 Dec 2009 17:27:55 +0100

tla (1.3.5+dfsg-14) unstable; urgency=low

  * QA upload.
  * Add debian/patches/06-relibtoolize.dpatch to 00list (closes: #493702).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Aug 2008 23:43:03 +0200

tla (1.3.5+dfsg-13) unstable; urgency=low

  * QA upload.
  * debian/patches/06-relibtoolize.dpatch: relibtoolize (closes: #493702).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Aug 2008 21:37:21 +0200

tla (1.3.5+dfsg-12) unstable; urgency=low

  * Fix implicit pointer conversions (closes: #492402)

 -- dann frazier <dannf@debian.org>  Fri, 25 Jul 2008 14:28:51 -0600

tla (1.3.5+dfsg-11) unstable; urgency=low

  * Really fix 491373 the "right way" - upstream recommends just to
    commenting out the test in the invariant section, so doing so.
    (closes: #491373)

 -- Adam Majer <adamm@zombino.com>  Wed, 23 Jul 2008 11:26:32 -0500

tla (1.3.5+dfsg-10) unstable; urgency=low

  * Change maintainer to QA as the package is now orphaned.
  * Fix a FTBFS due to a too strict test on memory alignment.
    We now use alignment as reported by __alignof__ instead of trying to
    use a guessed value. (closes: #491373)
  * Update config files *properly* by not polluting the diff.gz and thus
    creating files as obsolete as the developer's machine. Use build
    machine versions instead.

 -- Adam Majer <adamm@zombino.com>  Tue, 22 Jul 2008 13:40:12 -0500

tla (1.3.5+dfsg-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashisms. (Closes: #459140).
    + Add build-dep on time.
    * 04_bashisms.dpatch - use printf instead of echo -e.

 -- Barry deFreese <bddebian@comcast.net>  Fri, 07 Mar 2008 10:40:50 -0500

tla (1.3.5+dfsg-9) unstable; urgency=low

  * Fixed description formatting (72 char wide) and spelling.
  * Fixed regression from -4 when libneon26 from Debian was used
    instead of the bundled libneon. See #402952. Reverted to using the
    bundled libneon instead as we are too close to releasing Etch to
    fiddle with this subsystem.

 -- Adam Majer <adamm@zombino.com>  Mon, 18 Dec 2006 14:28:10 -0600

tla (1.3.5+dfsg-8) unstable; urgency=low

  * New maintainer (closes: #351582)
  * Build-Depend on new neon26 dev package so link with the correct
    libneon26 as the soname changed. This really closes #402251.
  * No longer depend on diff as that is an essential package

 -- Adam Majer <adamm@zombino.com>  Sat,  9 Dec 2006 22:00:53 -0600

tla (1.3.5+dfsg-7) unstable; urgency=low

  * Rebuild in a clean chroot (Closes: #402251).

 -- Daniel Baumann <daniel@debian.org>  Sat,  9 Dec 2006 14:51:00 +0100

tla (1.3.5+dfsg-6) unstable; urgency=low

  * Incorporate the neon24 path escape function into
    03-neon26.dpatch so that WebDAV will work with neon26.

 -- Clint Adams <schizo@debian.org>  Sat,  2 Dec 2006 17:10:22 -0500

tla (1.3.5+dfsg-5) unstable; urgency=low

  * QA upload. 
  * Build-depend on libneon26-gnutls-dev.

 -- Clint Adams <schizo@debian.org>  Sat,  2 Dec 2006 02:20:25 -0500

tla (1.3.5+dfsg-4) unstable; urgency=low

  * Adding 01-segfault-ia64.dpatch and 02-alignment-hppa-sparc.dpatch to fix
    FTBFS on hppa, ia64, and sparc (Closes: #382465).
  * The testsuite was disabled on a selection of archs in the last revision
    because it's know that the testsuite is broken on some archs. E.g. for arm,
    this is definitely the case. In lack of testing possibilities, I'm
    re-enabling the testsuite on hppa, ia64 and sparc, because it's not know
    if the testsuite do run or not, now that the FTBFS seems to be fixed. If
    they fail, the testsuite must be broken on those archs too (assumed the
    FTBFS fix is sufficient :)

 -- Daniel Baumann <daniel@debian.org>  Mon, 28 Aug 2006 09:14:00 +0200

tla (1.3.5+dfsg-3) unstable; urgency=low

  * Temporary skipping archs where the testsuite is broken (Closes: #382465).

 -- Daniel Baumann <daniel@debian.org>  Fri, 11 Aug 2006 16:49:00 +0200

tla (1.3.5+dfsg-2) unstable; urgency=low

  * Corrected depends (diff is the binary, not diffutils).

 -- Daniel Baumann <daniel@debian.org>  Sun,  6 Aug 2006 13:03:00 +0200



=== debian/control ===
Source: tla
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, time, libexpat1-dev
Standards-Version: 3.9.2

Package: tla
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, patch
Recommends: tla-doc
Suggests: gnupg, ssh
Description: GNU Arch revision control system
 Arch is a modern replacement for CVS, specifically designed for the
 distributed development. It supports development on branches,
 distributed repositories, changeset-oriented project management,
 and of course, file and directory renaming.

Package: tla-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: GNU Arch revision control system (documentation)
 This package contains the documentation for the GNU arch revision
 control system.

## tla 1.3.5+dfsg1

=== debian/changelog ===
tla (1.3.5+dfsg1-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:47:31 +0000

tla (1.3.5+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/0014-do-not-show-the-build-date.patch.
  * debian/control: Suggest openssh-client instead of ssh.
    Thanks to Magnus Holmgren for the report. Closes: #417441.
  * Add debian/patches/0015-changeset-fd-leak.patch from Sergio Gelato to
    close file descriptors before they go out of scope. Closes: #522082.

 -- Santiago Vila <sanvila@debian.org>  Tue, 01 Sep 2015 22:07:06 +0200

tla (1.3.5+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 1.3.5+dfsg1
    - Removes two files with a non-free license. Closes: #709500
  * Add get-orig-source target to debian/rules
  * Change download location for upstream tarball in debian/copyright
  * Update debian/watch file
  * Add homepage to debian/control
  * Remove debian/README.source, it's no longer needed
  * Add debian/source/options and use xz compression
  * Remove unnecessary clean commands
  * Use debhelper for updating autotools files

 -- Tobias Quathamer <toddy@debian.org>  Fri, 24 Oct 2014 13:23:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: tla
 Section: vcs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, time, libexpat1-dev
 Standards-Version: 3.9.2
+Homepage: http://savannah.gnu.org/projects/gnu-arch/
 
 Package: tla
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, patch
 Recommends: tla-doc
-Suggests: gnupg, ssh
+Suggests: gnupg, openssh-client
 Description: GNU Arch revision control system
  Arch is a modern replacement for CVS, specifically designed for the
  distributed development. It supports development on branches,

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,6 @@
 	dh_autotools-dev_restoreconfig
 	rm -f build-stamp configure-stamp
 	dh_clean
-	$(RM) -r debian/build
 
 install: build-stamp
 	dh_testdir

## tla 1.3.5+dfsg2

=== debian/changelog ===
tla (1.3.5+dfsg2-1) unstable; urgency=medium

  * QA upload.
  * Repack via Files-Excluded.

  [ Bo YU ]
  * Use dh_update_autotools_config/dh_autoreconf_clean to update config
    correctly. (Closes: #1071544)

 -- Bastian Germann <bage@debian.org>  Thu, 23 May 2024 13:36:38 +0200

tla (1.3.5+dfsg1-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Drop use of autotools-dev debhelper.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Use ?= for assignments to architecture variables.
  * Drop no longer needed autotools-dev build dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 May 2024 12:07:34 +0200

tla (1.3.5+dfsg1-3) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066352)
  * Fix building twice in a row.  (Closes: #1046988)
  * Declare Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Apr 2024 22:26:37 +0200

tla (1.3.5+dfsg1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:31:48 +0200

=== debian/control ===
Source: tla
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libexpat1-dev,
               time,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: http://savannah.gnu.org/projects/gnu-arch/
Vcs-Browser: https://salsa.debian.org/debian/tla
Vcs-Git: https://salsa.debian.org/debian/tla.git

Package: tla
Architecture: any
Depends: gawk,
         patch,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: tla-doc,
Suggests: gnupg,
          openssh-client,
Description: GNU Arch revision control system
 Arch is a modern replacement for CVS, specifically designed for the
 distributed development. It supports development on branches,
 distributed repositories, changeset-oriented project management,
 and of course, file and directory renaming.

Package: tla-doc
Section: doc
Depends: ${misc:Depends},
Architecture: all
Description: GNU Arch revision control system (documentation)
 This package contains the documentation for the GNU arch revision
 control system.

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_ARCH      := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
   CROSS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 else
@@ -19,9 +19,8 @@
 
 configure-stamp:
 	dh_testdir
-	dh_autotools-dev_updateconfig
+	dh_update_autotools_config
 	rm -rf debian/build
-	rm -rf src/expat/  # Let's play safe
 	rm -f src/libneon/PLUGIN/REQ
 	mkdir debian/build
 	cd debian/build && \
@@ -52,9 +51,10 @@
 clean:
 	dh_testdir
 	dh_testroot
-	dh_autotools-dev_restoreconfig
 	rm -f build-stamp configure-stamp
+	dh_autoreconf_clean
 	dh_clean
+	$(RM) -r debian/build
 
 install: build-stamp
 	dh_testdir

=== debian/watch ===
# watch control file for uscan

version=3
opts=repacksuffix=+dfsg2,dversionmangle=auto \
  http://www.atai.org/gnuarch/releases/tla-(.*)\.tar\.gz
